.formPropositionLocation {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    background-color: var(--color-gray-back);
    padding: 4rem;
    border-radius: 25px;
    border: solid 1px var(--color-gray-light);
}

.formPropositionLocation>form {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    margin-top: 2rem;
}

.formPropositionLocation>form>div label {
    font-size: 0.875rem;
    font-weight: 600;
    line-height: 1;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: var(--color-1);
    margin-bottom: 1rem !important;
}

.formPropositionLocation>form>div label label {
    margin-bottom: 0 !important;
}

.formPropositionLocation>form>div label span {
    color: var(--color-2);
}

.formPropositionLocation>form>div input,
.formPropositionLocation>form>div textarea {
    width: 100%;
    padding: 10px 15px;
    border: solid 1px var(--color-gray-light);
    border-radius: 15px;
}

.formPropositionLocation>form>div:not(:has(>div)),
.formPropositionLocation>form>div:has(>div)>div {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.formPropositionLocation>form>div:has(>div) {
    display: flex;
    justify-content: space-between;
    gap: 1rem;
}

.formPropositionLocation>form>div:has(>div).service {
    flex-direction: column;
    gap: 0;
}

.formPropositionLocation>form>div:has(>div).service>div input {
    display: none;
}

.formPropositionLocation>form>div:has(>div).service>div label {
    display: flex;
    align-items: center;
    gap: 5px;
    cursor: pointer;
}

.formPropositionLocation>form>div:has(>div).service>div label::before {
    content: "";
    display: block;
    position: relative;
    min-width: 18px;
    width: 18px;
    height: 18px;
    border-radius: 5px;
    border: solid 1px var(--color-gray-light);
    transition: all 0.4s ease;
}

.formPropositionLocation>form>div:has(>div).service>div input:checked+label::before {
    background-color: var(--color-2);
}

.formPropositionLocation>form>div>button>span {
    justify-content: center;
}

@media (max-width: 1024px) {
    .formPropositionLocation {
        padding: 2rem;
    }
}

@media (max-width: 768px) {
    .formPropositionLocation>form>div:has(>div) {
        flex-direction: column;
    }
}